"use strict";

var logger = require('./../logger');
var LayoutData = require('./data/LayoutData');

function OverlayParser() {
}

OverlayParser.prototype.parse = function (content) {
  var data = {content: content};
  var lines = content.split("\n");
  for (var i = 0; i < lines.length; i++) {
    var line = lines[i];
    if (line.startsWith("#")) {
      if (line.indexOf("=") > 0) {
        var name = line.substring(1, line.indexOf("=")).trim();
        var value = line.substring(line.indexOf("=") + 1).trim();
        if (name === "NAME") {
          data.name = value;
        } else if (name === "DESCRIPTION") {
          data.description = value;
        } else if (name === "TYPE") {
          data.type = value;
        }
      } else {
        logger.warn("Invalid overlay header line: " + line);
      }
    } else {
      break;
    }
  }

  return new LayoutData(data);
};


module.exports = OverlayParser;
